.laundry-container {
  display: flex;
  flex-direction: row;

  .laundry-list {
    background: #ffffff;
    border: 1px solid #ececec;
    box-sizing: border-box;
    box-shadow: 0px 5px 20px rgba(109, 109, 109, 0.08);
    border-radius: 3px;
    -webkit-appearance: none;
    padding: 0;
    width: 38vmax;
    margin-bottom: 2rem;
    margin-right: 3rem;

    &:focus {
      outline: 0;
    }
  }
  .laundry-list:hover {
    background: #ffe6e6;
  }
  .laundry-list-detail {
    display: flex;
    // flex-direction: row;
    // justify-content: space-evenly;

    .contents {
      display: flex;
    }
    .laundry-contents {
      .laundry-img {
        width: 13rem;
      }
      .laundry-name {
        font-size: 1.2rem !important;
        font-weight: bold;
      }
      .laundry-courier {
        .laundry-icon {
          width: 1.5rem;
        }
      }
    }

    .laundry-contents-right {
      color: #2b495d;
      width: 7rem;
      margin-top: 1rem;
      font-style: normal;
      font-weight: 450;
      font-size: 16px;
      line-height: 20px;

      .laundry-rating {
        text-align: right;
        margin-bottom: 4rem;
      }
      .laundry-type {
        text-align: right;
      }
    }

    .laundry-contents p {
      color: #2b495d;
      font-size: 0.9rem;
      margin-top: 1rem;
      margin-left: 1rem;
      margin-right: 1.5rem;
      text-align: left;
    }
  }
}

.pagination {
  width: auto;
  display: flex;
  justify-content: center;
  margin-bottom: 3rem;
}

button {
  background: #ffffff;
  border: 1px solid #ececec;
  box-sizing: border-box;
  box-shadow: 0px 5px 20px rgba(109, 109, 109, 0.08);
  border-radius: 3px;
  -webkit-appearance: none;
  padding: 0;

  &:focus {
    outline: 0;
  }
}

button:hover {
  background-color: #ffe6e6;
}

.detail-mobile {
  display: none;
}

@media (max-width: 1024px) {
  .laundry-container {
    .laundry-list {
      padding: 0;
      width: 28rem;
      margin-right: 2rem;

      &:focus {
        outline: 0;
      }
    }
    .laundry-list:hover {
      background: #ffe6e6;
    }
    .laundry-list-detail {
      display: flex;

      .laundry-contents {
        .laundry-img {
          width: 10rem;
        }
        .laundry-name {
          font-size: 1rem !important;
          font-weight: bold;
        }
        .laundry-courier {
          .laundry-icon {
            width: 1.2rem;
          }
        }
      }

      .laundry-contents-right {
        color: #2b495d;
        width: 7rem;
        margin-top: 1rem;
        font-style: normal;
        font-weight: 450;
        font-size: 1rem;
        line-height: 20px;

        .laundry-rating {
          text-align: right;
          margin-bottom: 3rem;
        }
        .laundry-type {
          text-align: right;
          font-size: 0.8rem;
        }
      }

      .laundry-contents p {
        color: #2b495d;
        font-size: 0.8rem;
        margin-top: 1rem;
        margin-left: 0.5rem;
        margin-right: 1.5rem;
        text-align: left;
      }
    }
  }

  .pagination {
    // width: auto;
    display: flex;
    justify-content: center;
    margin-bottom: 3rem;
  }

  button {
    background: #ffffff;
    border: 1px solid #ececec;
    box-sizing: border-box;
    box-shadow: 0px 5px 20px rgba(109, 109, 109, 0.08);
    border-radius: 3px;
    -webkit-appearance: none;
    padding: 0;

    &:focus {
      outline: 0;
    }
  }

  button:hover {
    background-color: #ffe6e6;
  }
}
@media (max-width: 768px) {
  .laundry-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .detail-mobile {
    display: block;
  }
  .detail-desktop {
    display: none;
  }
}
@media (max-width: 425px) {
  .laundry-container {
    .laundry-list {
      width: 38vh;
      margin: 0;
      margin-bottom: 1.5rem;
      .laundry-list-detail {
        display: flex;
        flex-direction: column;
      }

      .laundry-contents {
        width: max-content;

        .laundry-img {
          width: 38vh;
        }
      }
      .contents {
        display: flex;
        justify-content: space-around;
      }
    }
  }
}

// .detail-mobile {
//   display: block;
//   @media (max-width: 425px) {
//     display: none;
//   }
// }
// // .detail-desktop {
// //   display: none;
// //   @media (max-width: 425px) {
// //     display: block;
// //   }
// // }
